ApplicationValue (Hyperic HQ Plugin API)
Keywords: org.hyperic.hq.appdef.shared.ApplicationValue class

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hyperic.hq.appdef.shared
Class ApplicationValue

    java.lang.Object
      org.hyperic.hq.appdef.shared.AppdefResourceValue
          org.hyperic.hq.appdef.shared.ApplicationValue

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable

    public class ApplicationValue

extends AppdefResourceValue
implements java.io.Serializable

Value object for Application.

See Also:
  Serialized Form

Field Summary
`protected java.util.Set` | `addedAppServiceValues`
`protected java.util.Set` | `removedAppServiceValues`
`protected java.util.Set` | `updatedAppServiceValues`

Constructor Summary
`ApplicationValue()`
`ApplicationValue(ApplicationValue otherValue)`
`ApplicationValue(java.lang.String name, java.lang.String sortName, java.lang.String modifiedBy, java.lang.String owner, java.lang.String location, java.lang.String engContact, java.lang.String opsContact, java.lang.String businessContact, java.lang.String description, java.lang.Integer id, java.lang.Long mTime, java.lang.Long cTime)`

Method Summary
`void` | `addAppServiceValue(AppServiceValue added)`
`boolean` | `businessContactHasBeenSet()`
`void` | `cleanAppServiceValue()`
`void` | `copyAppServiceValuesFrom(ApplicationValue from)`
`boolean` | `cTimeHasBeenSet()`
`boolean` | `descriptionHasBeenSet()`
`boolean` | `engContactHasBeenSet()`
`boolean` | `equals(java.lang.Object other)`
`java.util.Set` | `getAddedAppServiceValues()`
`ApplicationType` | `getApplicationType()`
`AppServiceValue[]` | `getAppServiceValues()`
`java.lang.String` | `getBusinessContact()`
`java.lang.Long` | `getCTime()`
`java.lang.String` | `getDescription()`
`java.lang.String` | `getEngContact()`
`AppdefEntityID` | `getEntityId()` get an entity ID for the object
`java.lang.Integer` | `getId()`
`java.lang.String` | `getLocation()`
`java.lang.String` | `getModifiedBy()`
`java.lang.Long` | `getMTime()`
`java.lang.String` | `getName()`
`java.lang.String` | `getOpsContact()`
`java.lang.String` | `getOwner()`
`java.util.Set` | `getRemovedAppServiceValues()`
`java.lang.String` | `getSortName()`
`java.util.Set` | `getUpdatedAppServiceValues()`
`int` | `hashCode()`
`protected boolean` | `hasIdentity()` A Value object have an identity if its attributes making its Primary Key has all been set.
`boolean` | `idHasBeenSet()`
`boolean` | `isIdentical(java.lang.Object other)`
`boolean` | `locationHasBeenSet()`
`boolean` | `modifiedByHasBeenSet()`
`boolean` | `mTimeHasBeenSet()`
`boolean` | `nameHasBeenSet()`
`boolean` | `opsContactHasBeenSet()`
`boolean` | `ownerHasBeenSet()`
`void` | `removeAllAppServiceValues()`
`void` | `removeAppServiceValue(AppServiceValue removed)`
`void` | `setApplicationType(ApplicationType ApplicationType)`
`void` | `setBusinessContact(java.lang.String businessContact)`
`void` | `setCTime(java.lang.Long cTime)`
`void` | `setDescription(java.lang.String description)`
`void` | `setEngContact(java.lang.String engContact)`
`void` | `setId(java.lang.Integer id)`
`void` | `setLocation(java.lang.String location)`
`void` | `setModifiedBy(java.lang.String modifiedBy)`
`void` | `setMTime(java.lang.Long mTime)`
`void` | `setName(java.lang.String name)`
`void` | `setOpsContact(java.lang.String opsContact)`
`void` | `setOwner(java.lang.String owner)`
`void` | `setSortName(java.lang.String sortName)`
`boolean` | `sortNameHasBeenSet()`
`java.lang.String` | `toString()`
`void` | `updateAppServiceValue(AppServiceValue updated)`

Methods inherited from class org.hyperic.hq.appdef.shared.AppdefResourceValue
`compareTo, getAppdefResourceTypeValue, getHostName, getPlatformTypeCountMap, getResourceTypeCountMap, getServerTypeCountMap, getServiceTypeCountMap, setHostName`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### addedAppServiceValues

    protected java.util.Set addedAppServiceValues

### removedAppServiceValues

    protected java.util.Set removedAppServiceValues

### updatedAppServiceValues

    protected java.util.Set updatedAppServiceValues

Constructor Detail

### ApplicationValue

    public ApplicationValue()

### ApplicationValue

    public ApplicationValue(java.lang.String name,
                            java.lang.String sortName,
                            java.lang.String modifiedBy,
                            java.lang.String owner,
                            java.lang.String location,
                            java.lang.String engContact,
                            java.lang.String opsContact,
                            java.lang.String businessContact,
                            java.lang.String description,
                            java.lang.Integer id,
                            java.lang.Long mTime,
                            java.lang.Long cTime)

### ApplicationValue

    public ApplicationValue(ApplicationValue otherValue)

Method Detail

### getName

    public java.lang.String getName()

  Specified by:
    `getName` in class `AppdefResourceValue`

### setName

    public void setName(java.lang.String name)

  Specified by:
    `setName` in class `AppdefResourceValue`

### nameHasBeenSet

    public boolean nameHasBeenSet()

### getSortName

    public java.lang.String getSortName()

### setSortName

    public void setSortName(java.lang.String sortName)

### sortNameHasBeenSet

    public boolean sortNameHasBeenSet()

### getModifiedBy

    public java.lang.String getModifiedBy()

  Specified by:
    `getModifiedBy` in class `AppdefResourceValue`

### setModifiedBy

    public void setModifiedBy(java.lang.String modifiedBy)

  Specified by:
    `setModifiedBy` in class `AppdefResourceValue`

### modifiedByHasBeenSet

    public boolean modifiedByHasBeenSet()

### getOwner

    public java.lang.String getOwner()

  Specified by:
    `getOwner` in class `AppdefResourceValue`

### setOwner

    public void setOwner(java.lang.String owner)

  Specified by:
    `setOwner` in class `AppdefResourceValue`

### ownerHasBeenSet

    public boolean ownerHasBeenSet()

### getLocation

    public java.lang.String getLocation()

  Specified by:
    `getLocation` in class `AppdefResourceValue`

### setLocation

    public void setLocation(java.lang.String location)

  Specified by:
    `setLocation` in class `AppdefResourceValue`

### locationHasBeenSet

    public boolean locationHasBeenSet()

### getEngContact

    public java.lang.String getEngContact()

### setEngContact

    public void setEngContact(java.lang.String engContact)

### engContactHasBeenSet

    public boolean engContactHasBeenSet()

### getOpsContact

    public java.lang.String getOpsContact()

### setOpsContact

    public void setOpsContact(java.lang.String opsContact)

### opsContactHasBeenSet

    public boolean opsContactHasBeenSet()

### getBusinessContact

    public java.lang.String getBusinessContact()

### setBusinessContact

    public void setBusinessContact(java.lang.String businessContact)

### businessContactHasBeenSet

    public boolean businessContactHasBeenSet()

### getDescription

    public java.lang.String getDescription()

  Specified by:
    `getDescription` in class `AppdefResourceValue`

### setDescription

    public void setDescription(java.lang.String description)

  Specified by:
    `setDescription` in class `AppdefResourceValue`

### descriptionHasBeenSet

    public boolean descriptionHasBeenSet()

### getId

    public java.lang.Integer getId()

  Specified by:
    `getId` in class `AppdefResourceValue`

### setId

    public void setId(java.lang.Integer id)

  Specified by:
    `setId` in class `AppdefResourceValue`

### idHasBeenSet

    public boolean idHasBeenSet()

### getMTime

    public java.lang.Long getMTime()

  Specified by:
    `getMTime` in class `AppdefResourceValue`

### setMTime

    public void setMTime(java.lang.Long mTime)

### mTimeHasBeenSet

    public boolean mTimeHasBeenSet()

### getCTime

    public java.lang.Long getCTime()

  Specified by:
    `getCTime` in class `AppdefResourceValue`

### setCTime

    public void setCTime(java.lang.Long cTime)

### cTimeHasBeenSet

    public boolean cTimeHasBeenSet()

### getAddedAppServiceValues

    public java.util.Set getAddedAppServiceValues()

### getRemovedAppServiceValues

    public java.util.Set getRemovedAppServiceValues()

### getUpdatedAppServiceValues

    public java.util.Set getUpdatedAppServiceValues()

### getAppServiceValues

    public AppServiceValue[] getAppServiceValues()

### addAppServiceValue

    public void addAppServiceValue(AppServiceValue added)

### removeAppServiceValue

    public void removeAppServiceValue(AppServiceValue removed)

### removeAllAppServiceValues

    public void removeAllAppServiceValues()

### updateAppServiceValue

    public void updateAppServiceValue(AppServiceValue updated)

### cleanAppServiceValue

    public void cleanAppServiceValue()

### copyAppServiceValuesFrom

    public void copyAppServiceValuesFrom(ApplicationValue from)

### getApplicationType

    public ApplicationType getApplicationType()

### setApplicationType

    public void setApplicationType(ApplicationType ApplicationType)

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

### hasIdentity

    protected boolean hasIdentity()

  A Value object have an identity if its attributes making its Primary Key has all been set. One object without identity is never equal to any other object.

  Returns:
    true if this instance have an identity.

### equals

    public boolean equals(java.lang.Object other)

  Overrides:
    `equals` in class `java.lang.Object`

### isIdentical

    public boolean isIdentical(java.lang.Object other)

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `java.lang.Object`

### getEntityId

    public AppdefEntityID getEntityId()

  Description copied from class: `AppdefResourceValue`
  get an entity ID for the object

  Specified by:
    `getEntityId` in class `AppdefResourceValue`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2006 Hyperic, Inc. support@hyperic.net, All Rights Reserved.